from common import dataclass

@dataclass
class Object:    
    id: str
    name: str 
    sprite: str

@dataclass
class Terrain(Object):
    pass

@dataclass
class Creature(Object):
    pass

@dataclass
class Item(Object):
    pass

@dataclass
class Building(Object):
    pass